## zam-plugins 2.1

=== Makefile ===
PREFIX ?= /usr/local

all: zamautosat zamcomp zamcompexp zamcompx2 zameq2 zamulticomp zamvalve zamvalve-tanh zamdither zamtube zamexcite Makefile

zamautosat: force_look
	$(MAKE) -C zamautosat

zamcomp: force_look
	$(MAKE) -C zamcomp

zamcompx2: force_look
	$(MAKE) -C zamcompx2

zamcompexp: force_look
	$(MAKE) -C zamcompexp

zameq2: force_look
	$(MAKE) -C zameq2

zamulticomp: force_look
	$(MAKE) -C zamulticomp

zamvalve: force_look
	$(MAKE) -C zamvalve

zamvalve-tanh: force_look
	$(MAKE) -C zamvalve-tanh

zamtube: force_look
	$(MAKE) -C zamtube

zamdither: force_look
	$(MAKE) -C zamdither

zamexcite: force_look
	$(MAKE) -C zamexcite

force_look:
	true

install: all
	install -d $(DESTDIR)$(PREFIX)/lib/ladspa $(DESTDIR)$(PREFIX)/lib/lv2
	$(MAKE) -C zamautosat install
	$(MAKE) -C zamcomp install
	$(MAKE) -C zamcompx2 install
	$(MAKE) -C zamcompexp install
	$(MAKE) -C zameq2 install
	$(MAKE) -C zamulticomp install
	$(MAKE) -C zamvalve install
	$(MAKE) -C zamvalve-tanh install
	$(MAKE) -C zamdither install
	$(MAKE) -C zamtube install
	$(MAKE) -C zamexcite install

clean: force_look
	$(MAKE) -C zamautosat clean
	$(MAKE) -C zamcomp clean
	$(MAKE) -C zamcompx2 clean
	$(MAKE) -C zamcompexp clean
	$(MAKE) -C zameq2 clean
	$(MAKE) -C zamulticomp clean
	$(MAKE) -C zamvalve clean
	$(MAKE) -C zamvalve-tanh clean
	$(MAKE) -C zamdither clean
	$(MAKE) -C zamtube clean
	$(MAKE) -C zamexcite clean

=== zamautosat/Makefile ===
PREFIX ?= /usr/local

all: zamautosat.so

zamautosat.so:
	g++ -O3 -ffast-math -fPIC -shared -Dmydsp=zamautosat -I/usr/lib zamautosat.dsp.cpp -o zamautosat.so

install:
	install -d $(DESTDIR)$(PREFIX)/lib/ladspa
	install zamautosat.so -t $(DESTDIR)$(PREFIX)/lib/ladspa

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/lib/ladspa/zamautosat.so

clean:
	rm -f zamautosat.so

=== zamcomp/Makefile ===
#!/usr/bin/make -f

PREFIX ?= /usr/local
LIBDIR ?= lib
LV2DIR ?= $(PREFIX)/$(LIBDIR)/lv2

#OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only
OPTIMIZATIONS ?= -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only

LDFLAGS ?= -Wl,--as-needed
CXXFLAGS ?= $(OPTIMIZATIONS) -Wall
CFLAGS ?= $(OPTIMIZATIONS) -Wall

###############################################################################
BUNDLE = zamcomp.lv2

CXXFLAGS += -fPIC -DPIC
CFLAGS += -fPIC -DPIC

UNAME=$(shell uname)
ifeq ($(UNAME),Darwin)
  LIB_EXT=.dylib
  LDFLAGS += -dynamiclib
else
  LDFLAGS += -shared -Wl,-Bstatic -Wl,-Bdynamic
  LIB_EXT=.so
endif


ifeq ($(shell pkg-config --exists lv2 || echo no), no)
  $(error "LV2 SDK was not found")
else
  LV2FLAGS=`pkg-config --cflags --libs lv2`
endif

$(BUNDLE): manifest.ttl zamcomp.ttl zamcomp$(LIB_EXT)
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp manifest.ttl zamcomp.ttl zamcomp$(LIB_EXT) $(BUNDLE)

zamcomp$(LIB_EXT): zamcomp.c
	$(CXX) -o zamcomp$(LIB_EXT) \
		$(CXXFLAGS) \
		zamcomp.c \
		$(LV2FLAGS) $(LDFLAGS)

install: $(BUNDLE)
	install -d $(DESTDIR)$(LV2DIR)/$(BUNDLE)
	install -t $(DESTDIR)$(LV2DIR)/$(BUNDLE) $(BUNDLE)/*

uninstall:
	rm -rf $(DESTDIR)$(LV2DIR)/$(BUNDLE)

clean:
	rm -rf $(BUNDLE) zamcomp$(LIB_EXT)

.PHONY: clean install uninstall

=== zamcompexp/Makefile ===
#!/usr/bin/make -f

PREFIX ?= /usr/local
LIBDIR ?= lib
LV2DIR ?= $(PREFIX)/$(LIBDIR)/lv2

#OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only
OPTIMIZATIONS ?= -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only

LDFLAGS ?= -Wl,--as-needed
CXXFLAGS ?= $(OPTIMIZATIONS) -Wall
CFLAGS ?= $(OPTIMIZATIONS) -Wall

###############################################################################
BUNDLE = zamcompexp.lv2

CXXFLAGS += -fPIC -DPIC
CFLAGS += -fPIC -DPIC

UNAME=$(shell uname)
ifeq ($(UNAME),Darwin)
  LIB_EXT=.dylib
  LDFLAGS += -dynamiclib
else
  LDFLAGS += -shared -Wl,-Bstatic -Wl,-Bdynamic
  LIB_EXT=.so
endif


ifeq ($(shell pkg-config --exists lv2 || echo no), no)
  $(error "LV2 SDK was not found")
else
  LV2FLAGS=`pkg-config --cflags --libs lv2`
endif

$(BUNDLE): manifest.ttl zamcompexp.ttl zamcompexp$(LIB_EXT)
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp manifest.ttl zamcompexp.ttl zamcompexp$(LIB_EXT) $(BUNDLE)

zamcompexp$(LIB_EXT): zamcompexp.c
	$(CXX) -o zamcompexp$(LIB_EXT) \
		$(CXXFLAGS) \
		zamcompexp.c \
		$(LV2FLAGS) $(LDFLAGS)

install: $(BUNDLE)
	install -d $(DESTDIR)$(LV2DIR)/$(BUNDLE)
	install -t $(DESTDIR)$(LV2DIR)/$(BUNDLE) $(BUNDLE)/*

uninstall:
	rm -rf $(DESTDIR)$(LV2DIR)/$(BUNDLE)

clean:
	rm -rf $(BUNDLE) zamcompexp$(LIB_EXT)

.PHONY: clean install uninstall

=== zamcompx2/Makefile ===
#!/usr/bin/make -f

PREFIX ?= /usr/local
LIBDIR ?= lib
LV2DIR ?= $(PREFIX)/$(LIBDIR)/lv2

#OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only
OPTIMIZATIONS ?= -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only

LDFLAGS ?= -Wl,--as-needed
CXXFLAGS ?= $(OPTIMIZATIONS) -Wall
CFLAGS ?= $(OPTIMIZATIONS) -Wall

###############################################################################
BUNDLE = zamcompx2.lv2

CXXFLAGS += -fPIC -DPIC
CFLAGS += -fPIC -DPIC

UNAME=$(shell uname)
ifeq ($(UNAME),Darwin)
  LIB_EXT=.dylib
  LDFLAGS += -dynamiclib
else
  LDFLAGS += -shared -Wl,-Bstatic -Wl,-Bdynamic
  LIB_EXT=.so
endif


ifeq ($(shell pkg-config --exists lv2 || echo no), no)
  $(error "LV2 SDK was not found")
else
  LV2FLAGS=`pkg-config --cflags --libs lv2`
endif

$(BUNDLE): manifest.ttl zamcompx2.ttl zamcompx2$(LIB_EXT)
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp manifest.ttl zamcompx2.ttl zamcompx2$(LIB_EXT) $(BUNDLE)

zamcompx2$(LIB_EXT): zamcompx2.c
	$(CXX) -o zamcompx2$(LIB_EXT) \
		$(CXXFLAGS) \
		zamcompx2.c \
		$(LV2FLAGS) $(LDFLAGS)

install: $(BUNDLE)
	install -d $(DESTDIR)$(LV2DIR)/$(BUNDLE)
	install -t $(DESTDIR)$(LV2DIR)/$(BUNDLE) $(BUNDLE)/*

uninstall:
	rm -rf $(DESTDIR)$(LV2DIR)/$(BUNDLE)

clean:
	rm -rf $(BUNDLE) zamcompx2$(LIB_EXT)

.PHONY: clean install uninstall

=== zamdither/Makefile ===
#!/usr/bin/make -f

PREFIX ?= /usr/local
LIBDIR ?= lib
LV2DIR ?= $(PREFIX)/$(LIBDIR)/lv2

OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only

LDFLAGS ?= -Wl,--as-needed
CXXFLAGS ?= $(OPTIMIZATIONS) -Wall
CFLAGS ?= $(OPTIMIZATIONS) -Wall

###############################################################################
BUNDLE = zamdither.lv2

CXXFLAGS += -fPIC -DPIC
CFLAGS += -fPIC -DPIC

UNAME=$(shell uname)
ifeq ($(UNAME),Darwin)
  LIB_EXT=.dylib
  LDFLAGS += -dynamiclib
else
  LDFLAGS += -shared -Wl,-Bstatic -Wl,-Bdynamic
  LIB_EXT=.so
endif


$(BUNDLE): manifest.ttl zamdither.ttl zamdither$(LIB_EXT)
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp manifest.ttl zamdither.ttl zamdither$(LIB_EXT) $(BUNDLE)

zamdither$(LIB_EXT): zamdither.c
	$(CXX) -o zamdither$(LIB_EXT) \
		$(CXXFLAGS) \
		zamdither.c \
		$(LV2FLAGS) $(LDFLAGS)

install: $(BUNDLE)
	install -d $(DESTDIR)$(LV2DIR)/$(BUNDLE)
	install -t $(DESTDIR)$(LV2DIR)/$(BUNDLE) $(BUNDLE)/*

uninstall:
	rm -rf $(DESTDIR)$(LV2DIR)/$(BUNDLE)

clean:
	rm -rf $(BUNDLE) zamdither$(LIB_EXT)

.PHONY: clean install uninstall

=== zameq2/Makefile ===
#!/usr/bin/make -f

PREFIX ?= /usr
LIBDIR ?= lib
LV2DIR ?= $(PREFIX)/$(LIBDIR)/lv2

#OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only
OPTIMIZATIONS ?= -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only

#OPTIMIZATIONS ?=

LDFLAGS ?= -Wl,--as-needed
CXXFLAGS ?= $(OPTIMIZATIONS) -Wall
CFLAGS ?= $(OPTIMIZATIONS) -Wall

###############################################################################
BUNDLE = zameq2.lv2

CXXFLAGS += -fPIC -DPIC
CFLAGS += -fPIC -DPIC

UNAME=$(shell uname)
ifeq ($(UNAME),Darwin)
  LIB_EXT=.dylib
  LDFLAGS += -dynamiclib
else
  LDFLAGS += -shared -Wl,-Bstatic -Wl,-Bdynamic
  LIB_EXT=.so
endif


ifeq ($(shell pkg-config --exists lv2 lv2-plugin || echo no), no)
  $(error "LV2 SDK was not found")
else
  LV2FLAGS=`pkg-config --cflags --libs lv2 lv2-plugin`
endif

$(BUNDLE): manifest.ttl zameq2.ttl zameq2$(LIB_EXT)
#zameq2_gui$(LIB_EXT)
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp manifest.ttl zameq2.ttl zameq2$(LIB_EXT) $(BUNDLE)

zameq2$(LIB_EXT): zameq2.c
	$(CXX) -o zameq2$(LIB_EXT) \
		$(CXXFLAGS) \
		zameq2.c \
		$(LV2FLAGS) $(LDFLAGS)

install: $(BUNDLE)
	install -d $(DESTDIR)$(LV2DIR)/$(BUNDLE)
	install -t $(DESTDIR)$(LV2DIR)/$(BUNDLE) $(BUNDLE)/*

uninstall:
	rm -rf $(DESTDIR)$(LV2DIR)/$(BUNDLE)

clean:
	rm -rf $(BUNDLE) zameq2$(LIB_EXT)

.PHONY: clean install uninstall

=== zamexcite/Makefile ===
#!/usr/bin/make -f

PREFIX ?= /usr/local
LIBDIR ?= lib
LV2DIR ?= $(PREFIX)/$(LIBDIR)/lv2

OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only

LDFLAGS ?= -Wl,--as-needed -lm
CXXFLAGS ?= $(OPTIMIZATIONS) -Wall
CFLAGS ?= $(OPTIMIZATIONS) -Wall

###############################################################################
BUNDLE = zamexcite.lv2

CXXFLAGS += -fPIC -DPIC
CFLAGS += -fPIC -DPIC

UNAME=$(shell uname)
ifeq ($(UNAME),Darwin)
  LIB_EXT=.dylib
  LDFLAGS += -dynamiclib
else
  LDFLAGS += -shared -Wl,-Bstatic -Wl,-Bdynamic
  LIB_EXT=.so
endif


ifeq ($(shell pkg-config --exists lv2 || echo no), no)
  $(error "LV2 SDK was not found")
else
  LV2FLAGS=`pkg-config --cflags --libs lv2`
endif

$(BUNDLE): manifest.ttl zamexcite.ttl zamexcite$(LIB_EXT)
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp manifest.ttl zamexcite.ttl zamexcite$(LIB_EXT) $(BUNDLE)

zamexcite$(LIB_EXT): zamexcite.c
	$(CXX) -o zamexcite$(LIB_EXT) \
		$(CXXFLAGS) \
		zamexcite.c \
		$(LV2FLAGS) $(LDFLAGS)

install: $(BUNDLE)
	install -d $(DESTDIR)$(LV2DIR)/$(BUNDLE)
	install -t $(DESTDIR)$(LV2DIR)/$(BUNDLE) $(BUNDLE)/*

uninstall:
	rm -rf $(DESTDIR)$(LV2DIR)/$(BUNDLE)

clean:
	rm -rf $(BUNDLE) zamexcite$(LIB_EXT)

.PHONY: clean install uninstall

=== zamtube/Makefile ===
#!/usr/bin/make -f

PREFIX ?= /usr/local
LIBDIR ?= lib
LV2DIR ?= $(PREFIX)/$(LIBDIR)/lv2

OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only

LDFLAGS ?= -Wl,--as-needed -lm
CXXFLAGS ?= $(OPTIMIZATIONS) -Wall 
CFLAGS ?= $(OPTIMIZATIONS) -Wall 

###############################################################################
BUNDLE = zamtube.lv2

CXXFLAGS += -fPIC -DPIC
CFLAGS += -fPIC -DPIC

UNAME=$(shell uname)
ifeq ($(UNAME),Darwin)
  LIB_EXT=.dylib
  LDFLAGS += -dynamiclib
else
  LDFLAGS += -shared -Wl,-Bstatic -Wl,-Bdynamic
  LIB_EXT=.so
endif


ifeq ($(shell pkg-config --exists lv2 lv2core lv2-plugin || echo no), no)
  $(error "LV2 SDK was not found")
else
  LV2FLAGS=`pkg-config --cflags --libs lv2 lv2core lv2-plugin`
endif

$(BUNDLE): manifest.ttl zamtube.ttl zamtube$(LIB_EXT)
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp manifest.ttl zamtube.ttl zamtube$(LIB_EXT) $(BUNDLE)

zamtube.peg: zamtube.ttl
	lv2peg zamtube.ttl zamtube.peg

zamtube$(LIB_EXT): zamtube.cpp wdf.cpp
	$(CXX) -o zamtube$(LIB_EXT) \
		$(CXXFLAGS) \
		zamtube.cpp \
		wdf.cpp \
		$(LV2FLAGS) $(LDFLAGS)

install: $(BUNDLE)
	install -d $(DESTDIR)$(LV2DIR)/$(BUNDLE)
	install -t $(DESTDIR)$(LV2DIR)/$(BUNDLE) $(BUNDLE)/*

uninstall:
	rm -rf $(DESTDIR)$(LV2DIR)/$(BUNDLE)

clean:
	rm -rf $(BUNDLE) zamtube$(LIB_EXT) zamtube.peg

.PHONY: clean install uninstall

=== zamulticomp/Makefile ===
#!/usr/bin/make -f

PREFIX ?= /usr/local
LIBDIR ?= lib
LV2DIR ?= $(PREFIX)/$(LIBDIR)/lv2

#OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only
OPTIMIZATIONS ?= -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only

LDFLAGS ?= -Wl,--as-needed
CXXFLAGS ?= $(OPTIMIZATIONS) -Wall
CFLAGS ?= $(OPTIMIZATIONS) -Wall

###############################################################################
BUNDLE = zamulticomp.lv2

CXXFLAGS += -fPIC -DPIC
CFLAGS += -fPIC -DPIC

UNAME=$(shell uname)
ifeq ($(UNAME),Darwin)
  LIB_EXT=.dylib
  LDFLAGS += -dynamiclib
else
  LDFLAGS += -shared -Wl,-Bstatic -Wl,-Bdynamic
  LIB_EXT=.so
endif


ifeq ($(shell pkg-config --exists lv2 || echo no), no)
  $(error "LV2 SDK was not found")
else
  LV2FLAGS=`pkg-config --cflags --libs lv2`
endif

$(BUNDLE): manifest.ttl zamulticomp.ttl zamulticomp$(LIB_EXT)
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp manifest.ttl zamulticomp.ttl zamulticomp$(LIB_EXT) $(BUNDLE)

zamulticomp$(LIB_EXT): zamulticomp.c
	$(CXX) -o zamulticomp$(LIB_EXT) \
		$(CXXFLAGS) \
		zamulticomp.c \
		$(LV2FLAGS) $(LDFLAGS)

install: $(BUNDLE)
	install -d $(DESTDIR)$(LV2DIR)/$(BUNDLE)
	install -t $(DESTDIR)$(LV2DIR)/$(BUNDLE) $(BUNDLE)/*

uninstall:
	rm -rf $(DESTDIR)$(LV2DIR)/$(BUNDLE)

clean:
	rm -rf $(BUNDLE) zamulticomp$(LIB_EXT)

.PHONY: clean install uninstall

=== zamvalve-tanh/Makefile ===
PREFIX ?= /usr/local

all: zamvalve-tanh.so

zamvalve-tanh.so: zamvalve-tanh.dsp.cpp
	g++ -O3 -ffast-math -fPIC -shared -Dmydsp=zamvalve_tanh -I/usr/lib zamvalve-tanh.dsp.cpp -o zamvalve-tanh.so

install:
	install -d $(DESTDIR)$(PREFIX)/lib/ladspa
	install zamvalve-tanh.so -t $(DESTDIR)$(PREFIX)/lib/ladspa
	
uninstall:
	rm -f $(DESTDIR)$(PREFIX)/lib/ladspa/zamvalve-tanh.so

clean:
	rm -f zamvalve-tanh.so

=== zamvalve/Makefile ===
#!/usr/bin/make -f

PREFIX ?= /usr/local
LIBDIR ?= lib
LV2DIR ?= $(PREFIX)/$(LIBDIR)/lv2

#OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only
OPTIMIZATIONS ?= -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only

LDFLAGS ?= -Wl,--as-needed -lm
CXXFLAGS ?= $(OPTIMIZATIONS) -Wall -Wno-unused-variable
CFLAGS ?= $(OPTIMIZATIONS) -Wall -Wno-unused-variable 

###############################################################################
BUNDLE = zamvalve.lv2

CXXFLAGS += -fPIC -DPIC
CFLAGS += -fPIC -DPIC

UNAME=$(shell uname)
ifeq ($(UNAME),Darwin)
  LIB_EXT=.dylib
  LDFLAGS += -dynamiclib
else
  LDFLAGS += -shared -Wl,-Bstatic -Wl,-Bdynamic
  LIB_EXT=.so
endif


ifeq ($(shell pkg-config --exists lv2 lv2-plugin || echo no), no)
  $(error "LV2 SDK was not found")
else
  LV2FLAGS=`pkg-config --cflags --libs lv2 lv2-plugin`
endif

$(BUNDLE): manifest.ttl zamvalve.ttl zamvalve$(LIB_EXT)
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp manifest.ttl zamvalve.ttl zamvalve$(LIB_EXT) $(BUNDLE)

zamvalve$(LIB_EXT): zamvalve.cpp wdf.cpp
	$(CXX) -o zamvalve$(LIB_EXT) \
		$(CXXFLAGS) \
		zamvalve.cpp \
		wdf.cpp \
		$(LV2FLAGS) $(LDFLAGS)

install: $(BUNDLE)
	install -d $(DESTDIR)$(LV2DIR)/$(BUNDLE)
	install -t $(DESTDIR)$(LV2DIR)/$(BUNDLE) $(BUNDLE)/*

uninstall:
	rm -rf $(DESTDIR)$(LV2DIR)/$(BUNDLE)

clean:
	rm -rf $(BUNDLE) zamvalve$(LIB_EXT)

.PHONY: clean install uninstall

=== debian/changelog ===
zam-plugins (2.1-1) unstable; urgency=low

  * Initial release (Closes: #730305)  

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 02 Dec 2013 17:38:15 +0100

=== debian/control ===
Source: zam-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Adrian Knoth <adi@drcomp.erfurt.thur.de>
Build-Depends:
 debhelper (>= 9),
 pkg-config,
 lv2-dev,
 ladspa-sdk,
 lv2-c++-tools,
 faust
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zam-plugins.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zam-plugins.git
Homepage: http://www.zamaudio.com/?p=870

Package: zam-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Collection of LV2 and LADSPA plugins
 Plugins for high quality audio processing.
 Package contain these plugins:
  * zamautosat
    Auto saturation plugin.
    A gentle automatic saturator with no controls.
  * zamcomp
    LV2 compressor plugin.
  * zamcompexp
    LV2 Compressor/Expander plugin
    This is a clone of ZamCompX2 with an extra feature: an expander.
    The knee setting has been removed, however.
    It only functions using hard knee.
  * zamcompx2
    LV2 compressor plugin: stereo version of ZamComp.
  * zamdither
    LV2 dither plugin.
  * zameq2
    LV2 Equalizer plugin.
  * zamexcite
    LV2 vocal exciter plugin: stereo.
  * zamtube
    LV2 tube amp/cabinet simulator.
  * zamulticomp
    LV2 mono multiband compressor plugin.
  * zamvalve
    Valve distortion plugin.
  * zamvalve-tahn
    CPU efficient version of zamvalve plugin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_clean:

override_dh_auto_build:
	$(MAKE) \
		PREFIX=/usr

override_dh_auto_install:
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/zam-plugins \
		PREFIX=/usr
	chmod 644 $(CURDIR)/debian/zam-plugins/usr/lib/lv2/*/*.ttl

=== debian/watch ===
version=3
opts=zam-plugins=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1.tar.gz/ \
  https://github.com/zamaudio/zam-plugins/tags .*/v?(\d\S*)\.tar\.gz

## zam-plugins 3.5~repack0

=== Makefile ===
PREFIX ?= /usr/local
LIBDIR ?= lib
BINDIR ?= bin

NAME    = zam-plugins
VERSION = $(shell cat .version)

PLUGINS=ZamComp ZamCompX2 ZaMultiComp ZamTube ZamEQ2 ZamAutoSat ZamGEQ31 ZaMultiCompX2 

all: libs $(PLUGINS) gen

libs: FORCE
	$(MAKE) -C libs/dgl

gen: plugins libs/lv2_ttl_generator
	@./libs/generate-ttl.sh
ifeq ($(MACOS),true)
	@./libs/generate-vst-bundles.sh
endif

libs/lv2_ttl_generator:
	$(MAKE) -C libs/lv2-ttl-generator

$(PLUGINS): libs
	$(MAKE) -C plugins/$@

install: all
	install -d $(DESTDIR)$(PREFIX)/$(LIBDIR)/ladspa \
		$(DESTDIR)$(PREFIX)/$(LIBDIR)/lv2 \
		$(DESTDIR)$(PREFIX)/$(LIBDIR)/vst ; \
	for plugin in $(PLUGINS); do \
		install -d $(DESTDIR)$(PREFIX)/$(LIBDIR)/lv2/"$$plugin".lv2 ; \
		install -t $(DESTDIR)$(PREFIX)/$(LIBDIR)/lv2/"$$plugin".lv2 \
			bin/"$$plugin".lv2/* ; \
		install -t $(DESTDIR)$(PREFIX)/$(BINDIR) bin/"$$plugin" ; \
	done; \
	install -t $(DESTDIR)$(PREFIX)/$(LIBDIR)/ladspa bin/*-ladspa.so
	install -t $(DESTDIR)$(PREFIX)/$(LIBDIR)/vst bin/*-vst.so

uninstall:
	for plugin in $(PLUGINS); do \
		rm -rf $(DESTDIR)$(PREFIX)/$(LIBDIR)/lv2/"$$plugin".lv2 ; \
		rm -f $(DESTDIR)$(PREFIX)/$(LIBDIR)/ladspa/"$$plugin"-ladspa.so ; \
		rm -f $(DESTDIR)$(PREFIX)/$(LIBDIR)/vst/"$$plugin"-vst.so ; \
		rm -f $(DESTDIR)$(PREFIX)/$(BINDIR)/"$$plugin" ; \
	done


plugins: FORCE


clean: FORCE
	for plugin in $(PLUGINS); do \
		$(MAKE) PREFIX="$(PREFIX)" LIBDIR="$(LIBDIR)" -C plugins/"$$plugin" clean; \
	done
	$(MAKE) clean -C libs/dgl
	$(MAKE) clean -C libs/lv2-ttl-generator

.version: FORCE
	if test -d .git; then \
		git describe > .version; \
	fi

_dist_pre: .version FORCE
	rm -rf dist
	mkdir dist
	git clone . dist/$(NAME)-$(VERSION)
	(cd dist/$(NAME)-$(VERSION); git checkout $(VERSION))
	$(MAKE) -C dist/$(NAME)-$(VERSION) plugins .version
	rm -rf dist/$(NAME)-$(VERSION)/.git* \
		dist/$(NAME)-$(VERSION)/*/.git*

_dist_post: FORCE
	rm -rf dist

_dist_bz2: FORCE
	cd dist; tar -cvjf ../$(NAME)-$(VERSION).tar.bz2 $(NAME)-$(VERSION)

_dist_gz: FORCE
	cd dist; tar -cvzf ../$(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)

_dist_xz: FORCE
	cd dist; tar -cvJf ../$(NAME)-$(VERSION).tar.xz $(NAME)-$(VERSION)

_dist_zip: FORCE
	cd dist; zip -r ../$(NAME)-$(VERSION).zip $(NAME)-$(VERSION)

dist_bz2: _dist_pre _dist_bz2 _dist_post
dist_gz: _dist_pre _dist_gz _dist_post
dist_xz: _dist_pre _dist_xz _dist_post
dist_zip: _dist_pre _dist_zip _dist_post
dist: dist_xz

FORCE:

=== libs/dgl/Makefile ===
#!/usr/bin/make -f
# Makefile for dgl #
# ---------------- #
# Created by falkTX
#

include ../../Makefile.mk

# --------------------------------------------------------------

BUILD_C_FLAGS   += $(DGL_FLAGS) -I.
BUILD_CXX_FLAGS += $(DGL_FLAGS) -I.
LINK_FLAGS      += $(DGL_LIBS)

# --------------------------------------------------------------

OBJS = \
	src/App.cpp.o \
	src/Geometry.cpp.o \
	src/Image.cpp.o \
	src/ImageAboutWindow.cpp.o \
	src/ImageButton.cpp.o \
	src/ImageKnob.cpp.o \
	src/ImageSlider.cpp.o \
	src/ImageSwitch.cpp.o \
	src/NanoVG.cpp.o \
	src/Widget.cpp.o

ifeq ($(MACOS),true)
OBJS += src/Window.mm.o
else
OBJS += src/Window.cpp.o
endif

TARGET = ../libdgl.a

# --------------------------------------------------------------

all: $(TARGET)

# --------------------------------------------------------------

../libdgl.a: $(OBJS)
	rm -f $@
	$(AR) crs $@ $^

../libdgl.dll: $(OBJS)
	# -Wl,--output-def,$@.def,--out-implib,$@.a
	$(CXX) $^ -shared $(LINK_FLAGS) -o $@

../libdgl.dylib: $(OBJS)
	$(CXX) $^ -dynamiclib $(LINK_FLAGS) -o $@

../libdgl.so: $(OBJS)
	$(CXX) $^ -shared $(LINK_FLAGS) -o $@

# --------------------------------------------------------------

%.c.o: %.c
	$(CC) $< $(BUILD_C_FLAGS) -c -o $@

%.cpp.o: %.cpp
	$(CXX) $< $(BUILD_CXX_FLAGS) -c -o $@

%.mm.o: %.cpp
	$(CXX) $< $(BUILD_CXX_FLAGS) -ObjC++ -c -o $@

# --------------------------------------------------------------

clean:
	rm -f src/*.o src/pugl/*.o src/freetype-gl/*.o ../libdgl.*

debug:
	$(MAKE) DEBUG=true

# --------------------------------------------------------------

=== plugins/ZaMultiComp/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZaMultiComp

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZaMultiCompPlugin.cpp.o

OBJS_UI  = \
	ZaMultiCompArtwork.cpp.o \
	ZaMultiCompUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(LINUX),true)
all: jack ladspa dssi lv2_sep vst
else
all: ladspa vst
endif

# --------------------------------------------------------------

=== plugins/ZaMultiCompX2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZaMultiCompX2

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZaMultiCompX2Plugin.cpp.o

OBJS_UI  = \
	ZaMultiCompX2Artwork.cpp.o \
	ZaMultiCompX2UI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(LINUX),true)
all: jack ladspa dssi lv2_sep vst
else
all: ladspa vst
endif

# --------------------------------------------------------------

=== plugins/ZamAutoSat/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamAutoSat

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamAutoSatPlugin.cpp.o

OBJS_UI  = \
	ZamAutoSatArtwork.cpp.o \
	ZamAutoSatUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(LINUX),true)
all: jack ladspa dssi lv2_sep vst
else
all: ladspa vst
endif

# --------------------------------------------------------------

=== plugins/ZamComp/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamComp

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamCompPlugin.cpp.o

OBJS_UI  = \
	ZamCompArtwork.cpp.o \
	ZamCompUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(LINUX),true)
all: jack ladspa dssi lv2_sep vst
else
all: ladspa vst
endif

# --------------------------------------------------------------

=== plugins/ZamCompX2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamCompX2

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamCompX2Plugin.cpp.o

OBJS_UI  = \
	ZamCompX2Artwork.cpp.o \
	ZamCompX2UI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(LINUX),true)
all: jack ladspa dssi lv2_sep vst
else
all: ladspa vst
endif

# --------------------------------------------------------------

=== plugins/ZamEQ2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamEQ2

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamEQ2Plugin.cpp.o

OBJS_UI  = \
	ZamEQ2Artwork.cpp.o \
	ZamEQ2UI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(LINUX),true)
all: jack ladspa dssi lv2_sep vst
else
all: ladspa vst
endif

# --------------------------------------------------------------

=== plugins/ZamGEQ31/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamGEQ31

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamGEQ31Plugin.cpp.o

OBJS_UI  = \
	ZamGEQ31Artwork.cpp.o \
	ZamGEQ31UI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(LINUX),true)
all: jack ladspa dssi lv2_sep vst
else
all: ladspa vst
endif

# --------------------------------------------------------------

=== plugins/ZamNoise/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamNoise

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamNoisePlugin.cpp.o \
	Denoise.cpp.o 

OBJS_UI  = \
	ZamNoiseArtwork.cpp.o \
	ZamNoiseUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(LINUX),true)
all: jack ladspa dssi lv2_sep vst
else
all: ladspa vst
endif

# --------------------------------------------------------------

=== plugins/ZamSynth/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamSynth

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamSynthPlugin.cpp.o

OBJS_UI  = \
	ZamSynthArtwork.cpp.o \
	ZamSynthUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(LINUX),true)
all: jack dssi lv2_sep vst
else
all: dssi lv2_sep vst
endif

# --------------------------------------------------------------

=== plugins/ZamTube/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamTube

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamTubePlugin.cpp.o \
	wdf.cpp.o

OBJS_UI  = \
	ZamTubeArtwork.cpp.o \
	ZamTubeUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(LINUX),true)
all: jack ladspa dssi lv2_sep vst
else
all: ladspa vst
endif

# --------------------------------------------------------------

=== debian/changelog ===
zam-plugins (3.5~repack0-7) unstable; urgency=medium

  * Fix build on hurd-i386.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 19 Oct 2014 22:45:23 +0200

zam-plugins (3.5~repack0-6) unstable; urgency=medium

  * Disable build on hurd-i386.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 19 Oct 2014 22:15:45 +0200

zam-plugins (3.5~repack0-5) unstable; urgency=medium

  * Fix watch file.
  * Fix build on non linux (Closes: #765617) (Closes: #765613)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 16 Oct 2014 20:17:46 +0200

zam-plugins (3.5~repack0-4) unstable; urgency=medium

  * Build arch linux-any.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 15 Oct 2014 12:11:46 +0200

zam-plugins (3.5~repack0-3) unstable; urgency=medium

  * Fix source in copyright file.
  * Fix homepage.
  * Update README.debian file.
  * Tune g++ flags for amd64 i386.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 15 Oct 2014 07:25:09 +0200

zam-plugins (3.5~repack0-2) unstable; urgency=medium

  * Tune g++ flags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 14 Oct 2014 23:32:21 +0200

zam-plugins (3.5~repack0-1) unstable; urgency=low

  * Imported Upstream version 3.5~repack0
  * Update description.
  * Update copyright file.
  * Added fix install patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 14 Oct 2014 12:32:37 +0200

zam-plugins (3.3~repack0-1) experimental; urgency=low

  * Imported Upstream version 3.2~repack0
  * Add get-orig-source to rules file.
  * Compression now tar.gz.
  * Remove unused build deps.
  * Added liblo-dev and libjack-dev as build deps.
  * Tuned build deps for libgl-dev.
  * Bump Standards.
  * Add libgl-dev to build deps.
  * Use embeded libs.
  * Refreshed patch.
  * Added local-options file. 

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 13 Jul 2014 11:43:07 +0200

=== debian/control ===
Source: zam-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Adrian Knoth <adi@drcomp.erfurt.thur.de>
Build-Depends:
 debhelper (>= 9),
 pkg-config,
# lv2-dev,
 ladspa-sdk,
 libjack-dev,
 liblo-dev,
 libgl1-mesa-dev | libgl-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zam-plugins.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zam-plugins.git
Homepage: http://www.zamaudio.com/?p=976

Package: zam-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Collection of LV2, LADSPA, LINUX-VST and JACK plugins
 Plugins for high quality audio processing.
 .
 The purpose of these plugins is to provide high quality DSP without
 using an excessive amount of CPU.
 .
 There currently is no official documentation on how to use these plugins,
 but anyone who is familiar with outboard gear should be able to work it out.
  The default settings and almost every slider is calibrated to standard ranges.
 .
 Package contain these plugins:
  * ZamAutoSat
    Automatic saturator (mono)
  * ZamComp
    Dynamic range compressor (mono)
  * ZamCompX2
    Dynamic range compressor (stereo)
  * ZamEQ2
    Parametric equaliser (mono)
  * ZamGEQ31
    31 band graphic equaliser (mono)
  * ZamTube
    Triode tube amp simulator (mono)
  * ZaMultiComp
    Multiband compressor (mono)
  * ZaMultiCompX2
    Multiband compressor (stereo)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)~repack0
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
noopt = $(if $(filter amd64,$(DEB_HOST_ARCH)),NOOPT=false,NOOPT=true)

%:
	dh $@

override_dh_auto_clean:

override_dh_auto_build:
	$(MAKE) \
		PREFIX=/usr \
		$(noopt)

override_dh_auto_install:
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/zam-plugins \
		PREFIX=/usr
	chmod 644 $(CURDIR)/debian/zam-plugins/usr/lib/lv2/*/*.ttl

# get-orig-source to drop upstream .gitignore file
get-orig-source:
	uscan --noconf --force-download --rename --debug --destdir=.
	tar -xf $(pkg)_$(upstream_version).orig.tar.gz
	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
	find $(pkg)-$(dfsg_version)/ -name '.gitignore' -delete
	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
	xz -zf $(pkg)_$(dfsg_version).orig.tar
	rm -rf $(pkg)-$(dfsg_version)
	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
	mv $(pkg)_$(upstream_version).orig.tar.gz ../$(pkg)_$(upstream_version).orig.tar.gz

=== debian/watch ===
version=3
opts=dversionmangle=s/~repack0.*// \
  https://github.com/zamaudio/zam-plugins/tags .*/v?(\d\S*)\.tar\.gz

## zam-plugins 3.6~repack2

=== Makefile ===
--- 
+++ 
@@ -5,29 +5,39 @@
 NAME    = zam-plugins
 VERSION = $(shell cat .version)
 
-PLUGINS=ZamComp ZamCompX2 ZaMultiComp ZamTube ZamEQ2 ZamAutoSat ZamGEQ31 ZaMultiCompX2 
+PLUGINS=ZamComp ZamCompX2 ZaMultiComp ZamTube ZamEQ2 ZamAutoSat ZamGEQ31 ZaMultiCompX2 ZamGate ZamGateX2 ZamHeadX2 ZaMaximX2
+#ZamPiano ZamSFZ ZamChild670
+
+include Makefile.mk
+
+# --------------------------------------------------------------
 
 all: libs $(PLUGINS) gen
 
-libs: FORCE
-	$(MAKE) -C libs/dgl
-
-gen: plugins libs/lv2_ttl_generator
-	@./libs/generate-ttl.sh
-ifeq ($(MACOS),true)
-	@./libs/generate-vst-bundles.sh
+libs:
+ifeq ($(HAVE_DGL),true)
+	$(MAKE) -C dpf/dgl
 endif
 
-libs/lv2_ttl_generator:
-	$(MAKE) -C libs/lv2-ttl-generator
+gen: $(PLUGINS) dpf/utils/lv2_ttl_generator
+	@$(CURDIR)/dpf/utils/generate-ttl.sh
+ifeq ($(MACOS),true)
+	@$(CURDIR)/dpf/utils/generate-vst-bundles.sh
+endif
+
+dpf/utils/lv2_ttl_generator:
+	$(MAKE) -C dpf/utils/lv2-ttl-generator
 
 $(PLUGINS): libs
 	$(MAKE) -C plugins/$@
 
+# --------------------------------------------------------------
+
 install: all
 	install -d $(DESTDIR)$(PREFIX)/$(LIBDIR)/ladspa \
 		$(DESTDIR)$(PREFIX)/$(LIBDIR)/lv2 \
-		$(DESTDIR)$(PREFIX)/$(LIBDIR)/vst ; \
+		$(DESTDIR)$(PREFIX)/$(LIBDIR)/vst \
+		$(DESTDIR)$(PREFIX)/$(BINDIR) ; \
 	for plugin in $(PLUGINS); do \
 		install -d $(DESTDIR)$(PREFIX)/$(LIBDIR)/lv2/"$$plugin".lv2 ; \
 		install -t $(DESTDIR)$(PREFIX)/$(LIBDIR)/lv2/"$$plugin".lv2 \
@@ -45,16 +55,18 @@
 		rm -f $(DESTDIR)$(PREFIX)/$(BINDIR)/"$$plugin" ; \
 	done
 
+# --------------------------------------------------------------
 
-plugins: FORCE
+clean:
+	for plugin in $(PLUGINS); do \
+		$(MAKE) -C plugins/"$$plugin" clean; \
+	done
+ifeq ($(HAVE_DGL),true)
+	$(MAKE) clean -C dpf/dgl
+endif
+	$(MAKE) clean -C dpf/utils/lv2-ttl-generator
 
-
-clean: FORCE
-	for plugin in $(PLUGINS); do \
-		$(MAKE) PREFIX="$(PREFIX)" LIBDIR="$(LIBDIR)" -C plugins/"$$plugin" clean; \
-	done
-	$(MAKE) clean -C libs/dgl
-	$(MAKE) clean -C libs/lv2-ttl-generator
+# --------------------------------------------------------------
 
 .version: FORCE
 	if test -d .git; then \

=== dpf/dgl/Makefile ===
#!/usr/bin/make -f
# Makefile for dgl #
# ---------------- #
# Created by falkTX
#

include Makefile.mk

# --------------------------------------------------------------

BUILD_C_FLAGS   += $(DGL_FLAGS) -I. -Isrc
BUILD_CXX_FLAGS += $(DGL_FLAGS) -I. -Isrc
LINK_FLAGS      += $(DGL_LIBS)

# needed by oui-blendish
BUILD_CXX_FLAGS += -Wno-unused-parameter

# --------------------------------------------------------------

OBJS = \
	src/Application.cpp.o \
	src/Color.cpp.o \
	src/Geometry.cpp.o \
	src/Image.cpp.o \
	src/ImageWidgets.cpp.o \
	src/NanoVG.cpp.o \
	src/NanoWidgets.cpp.o \
	src/Widget.cpp.o

ifeq ($(MACOS),true)
OBJS += src/Window.mm.o
else
OBJS += src/Window.cpp.o
endif

TARGET = ../libdgl.a

# --------------------------------------------------------------

all: $(TARGET)

# --------------------------------------------------------------

../libdgl.a: $(OBJS)
	rm -f $@
	$(AR) crs $@ $^

../libdgl.dll: $(OBJS)
	# -Wl,--output-def,$@.def,--out-implib,$@.a
	$(CXX) $^ -shared $(LINK_FLAGS) -o $@

../libdgl.dylib: $(OBJS)
	$(CXX) $^ -dynamiclib $(LINK_FLAGS) -o $@

../libdgl.so: $(OBJS)
	$(CXX) $^ -shared $(LINK_FLAGS) -o $@

# --------------------------------------------------------------

%.c.o: %.c
	$(CC) $< $(BUILD_C_FLAGS) -c -o $@

%.cpp.o: %.cpp
	$(CXX) $< $(BUILD_CXX_FLAGS) -c -o $@

src/Window.cpp.o: src/Window.cpp src/pugl/*
	$(CXX) $< $(BUILD_CXX_FLAGS) -c -o $@

src/Window.mm.o: src/Window.cpp src/pugl/*
	$(CXX) $< $(BUILD_CXX_FLAGS) -ObjC++ -c -o $@

# --------------------------------------------------------------

clean:
	rm -f src/*.d src/*.o ../libdgl.*

debug:
	$(MAKE) DEBUG=true

# --------------------------------------------------------------

-include $(OBJS:%.o=%.d)

# --------------------------------------------------------------

=== plugins/ZaMaximX2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZaMaximX2

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZaMaximX2Plugin.cpp.o

OBJS_UI  = \
	ZaMaximX2Artwork.cpp.o \
	ZaMaximX2UI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZaMultiComp/Makefile ===
--- 
+++ 
@@ -27,10 +27,29 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
-ifeq ($(LINUX),true)
-all: jack ladspa dssi lv2_sep vst
-else
-all: ladspa vst
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_JACK),true)
+TARGETS += jack
+endif
 endif
 
+ifeq ($(LINUX),true)
+TARGETS += ladspa
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_LIBLO),true)
+TARGETS += dssi
+endif
+endif
+endif
+
+ifeq ($(HAVE_DGL),true)
+TARGETS += lv2_sep
+else
+TARGETS += lv2_dsp
+endif
+
+TARGETS += vst
+
+all: $(TARGETS)
+
 # --------------------------------------------------------------

=== plugins/ZaMultiCompX2/Makefile ===
--- 
+++ 
@@ -27,10 +27,29 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
-ifeq ($(LINUX),true)
-all: jack ladspa dssi lv2_sep vst
-else
-all: ladspa vst
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_JACK),true)
+TARGETS += jack
+endif
 endif
 
+ifeq ($(LINUX),true)
+TARGETS += ladspa
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_LIBLO),true)
+TARGETS += dssi
+endif
+endif
+endif
+
+ifeq ($(HAVE_DGL),true)
+TARGETS += lv2_sep
+else
+TARGETS += lv2_dsp
+endif
+
+TARGETS += vst
+
+all: $(TARGETS)
+
 # --------------------------------------------------------------

=== plugins/ZamAutoSat/Makefile ===
--- 
+++ 
@@ -27,10 +27,29 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
-ifeq ($(LINUX),true)
-all: jack ladspa dssi lv2_sep vst
-else
-all: ladspa vst
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_JACK),true)
+TARGETS += jack
+endif
 endif
 
+ifeq ($(LINUX),true)
+TARGETS += ladspa
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_LIBLO),true)
+TARGETS += dssi
+endif
+endif
+endif
+
+ifeq ($(HAVE_DGL),true)
+TARGETS += lv2_sep
+else
+TARGETS += lv2_dsp
+endif
+
+TARGETS += vst
+
+all: $(TARGETS)
+
 # --------------------------------------------------------------

=== plugins/ZamChild670/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamChild670

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamChild670Plugin.cpp.o \
	sidechainamplifier.cpp.o \
	tubemodel.cpp.o \
	variablemuamplifier.cpp.o \
	wdfcircuits.cpp.o \
	wavechild670.cpp.o

OBJS_UI  = \
	ZamChild670Artwork.cpp.o \
	ZamChild670UI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamComp/Makefile ===
--- 
+++ 
@@ -27,10 +27,29 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
-ifeq ($(LINUX),true)
-all: jack ladspa dssi lv2_sep vst
-else
-all: ladspa vst
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_JACK),true)
+TARGETS += jack
+endif
 endif
 
+ifeq ($(LINUX),true)
+TARGETS += ladspa
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_LIBLO),true)
+TARGETS += dssi
+endif
+endif
+endif
+
+ifeq ($(HAVE_DGL),true)
+TARGETS += lv2_sep
+else
+TARGETS += lv2_dsp
+endif
+
+TARGETS += vst
+
+all: $(TARGETS)
+
 # --------------------------------------------------------------

=== plugins/ZamCompX2/Makefile ===
--- 
+++ 
@@ -27,10 +27,29 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
-ifeq ($(LINUX),true)
-all: jack ladspa dssi lv2_sep vst
-else
-all: ladspa vst
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_JACK),true)
+TARGETS += jack
+endif
 endif
 
+ifeq ($(LINUX),true)
+TARGETS += ladspa
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_LIBLO),true)
+TARGETS += dssi
+endif
+endif
+endif
+
+ifeq ($(HAVE_DGL),true)
+TARGETS += lv2_sep
+else
+TARGETS += lv2_dsp
+endif
+
+TARGETS += vst
+
+all: $(TARGETS)
+
 # --------------------------------------------------------------

=== plugins/ZamEQ2/Makefile ===
--- 
+++ 
@@ -27,10 +27,29 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
-ifeq ($(LINUX),true)
-all: jack ladspa dssi lv2_sep vst
-else
-all: ladspa vst
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_JACK),true)
+TARGETS += jack
+endif
 endif
 
+ifeq ($(LINUX),true)
+TARGETS += ladspa
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_LIBLO),true)
+TARGETS += dssi
+endif
+endif
+endif
+
+ifeq ($(HAVE_DGL),true)
+TARGETS += lv2_sep
+else
+TARGETS += lv2_dsp
+endif
+
+TARGETS += vst
+
+all: $(TARGETS)
+
 # --------------------------------------------------------------

=== plugins/ZamGEQ31/Makefile ===
--- 
+++ 
@@ -27,10 +27,29 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
-ifeq ($(LINUX),true)
-all: jack ladspa dssi lv2_sep vst
-else
-all: ladspa vst
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_JACK),true)
+TARGETS += jack
+endif
 endif
 
+ifeq ($(LINUX),true)
+TARGETS += ladspa
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_LIBLO),true)
+TARGETS += dssi
+endif
+endif
+endif
+
+ifeq ($(HAVE_DGL),true)
+TARGETS += lv2_sep
+else
+TARGETS += lv2_dsp
+endif
+
+TARGETS += vst
+
+all: $(TARGETS)
+
 # --------------------------------------------------------------

=== plugins/ZamGate/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamGate

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamGatePlugin.cpp.o

OBJS_UI  = \
	ZamGateArtwork.cpp.o \
	ZamGateUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif
endif

ifeq ($(LINUX),true)
TARGETS += ladspa
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif

TARGETS += vst

all: $(TARGETS)

# --------------------------------------------------------------

=== debian/changelog ===
zam-plugins (3.6~repack2-3) unstable; urgency=medium

  * Remove more flags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 31 Oct 2015 01:54:19 +0100

zam-plugins (3.6~repack2-2) unstable; urgency=medium

  * Remove problematic flags.
  * Little fix in watch file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 30 Oct 2015 15:45:58 +0100

zam-plugins (3.6~repack2-1) unstable; urgency=medium

  * Droped patches.
  * Update get-orig-source.
  * Update copyright file.
  * Enable parallel build.
  * Update description.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 28 Oct 2015 08:03:48 +0100

=== debian/control ===
--- 
+++ 
@@ -50,3 +50,12 @@
     Multiband compressor (mono)
   * ZaMultiCompX2
     Multiband compressor (stereo)
+  * ZaMaximX2
+    Lightweight maximiser/limiter (stereo)
+  * ZamGate
+    Gate plugin (mono)
+  * ZamGateX2
+    Gate plugin (stereo)
+  * ZamHeadX2
+    Acoustic HRTF stereo widener (stereo)
+

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)~repack2
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
noopt = $(if $(filter amd64,$(DEB_HOST_ARCH)),NOOPT=false,NOOPT=true)

%:
	dh $@ --parallel

override_dh_auto_clean:

override_dh_auto_build:
	$(MAKE) \
		PREFIX=/usr \
		$(noopt)

override_dh_auto_install:
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/zam-plugins \
		PREFIX=/usr
	chmod 644 $(CURDIR)/debian/zam-plugins/usr/lib/lv2/*/*.ttl

# get-orig-source to drop upstream .gitignore file
get-orig-source:
	git  clone --recursive --branch $(upstream_version) git://github.com/zamaudio/zam-plugins
	rm -fR $(pkg)/.git
	rm $(pkg)/dpf/dgl/src/oui-blendish/resources/blender_icons.svg
	find $(pkg)/ -name '.*' -delete
	find $(pkg)/dpf/ -name '.*' -delete
	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)
	xz -zf $(pkg)_$(dfsg_version).orig.tar
	rm -rf $(pkg)
	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
